net.sf.jasperreports.charts

## Interface JRCategoryAxisFormat

- All Known Subinterfaces:
    JRAreaPlot, JRBar3DPlot, JRBarPlot, JRCategoryPlot, JRLinePlot
  All Known Implementing Classes:
    JRBaseAreaPlot, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseLinePlot, JRDesignAreaPlot, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignLinePlot, JRFillAreaPlot, JRFillBar3DPlot, JRFillBarPlot, JRFillLinePlot

      public interface JRCategoryAxisFormat

  Version:
    $Id: JRCategoryAxisFormat.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getCategoryAxisLabelColor()`
    `JRFont` | `getCategoryAxisLabelFont()`
    `java.awt.Color` | `getCategoryAxisLineColor()`
    `java.awt.Color` | `getCategoryAxisTickLabelColor()`
    `JRFont` | `getCategoryAxisTickLabelFont()`
    `java.lang.String` | `getCategoryAxisTickLabelMask()`
    `java.lang.Double` | `getCategoryAxisTickLabelRotation()` Gets the angle in degrees to rotate the data axis labels.
    `java.lang.Boolean` | `getCategoryAxisVerticalTickLabels()`
    `java.awt.Color` | `getOwnCategoryAxisLabelColor()`
    `java.awt.Color` | `getOwnCategoryAxisLineColor()`
    `java.awt.Color` | `getOwnCategoryAxisTickLabelColor()`
    `void` | `setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)` Sets the angle in degrees to rotate the data axis labels.

- - ### Field Detail

    - #### PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION

          static final java.lang.String PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCategoryAxisLabelFont

          JRFont getCategoryAxisLabelFont()

    - #### getCategoryAxisLabelColor

          java.awt.Color getCategoryAxisLabelColor()

    - #### getOwnCategoryAxisLabelColor

          java.awt.Color getOwnCategoryAxisLabelColor()

    - #### getCategoryAxisTickLabelFont

          JRFont getCategoryAxisTickLabelFont()

    - #### getCategoryAxisTickLabelColor

          java.awt.Color getCategoryAxisTickLabelColor()

    - #### getOwnCategoryAxisTickLabelColor

          java.awt.Color getOwnCategoryAxisTickLabelColor()

    - #### getCategoryAxisTickLabelMask

          java.lang.String getCategoryAxisTickLabelMask()

    - #### getCategoryAxisVerticalTickLabels

          java.lang.Boolean getCategoryAxisVerticalTickLabels()

    - #### getCategoryAxisLineColor

          java.awt.Color getCategoryAxisLineColor()

    - #### getOwnCategoryAxisLineColor

          java.awt.Color getOwnCategoryAxisLineColor()

    - #### getCategoryAxisTickLabelRotation

          java.lang.Double getCategoryAxisTickLabelRotation()

      Gets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

    - #### setCategoryAxisTickLabelRotation

          void setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)

      Sets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com